<?php 



$transaccion = $_POST["transaccion"];


function ejecutarTransaccion($transaccion){

  if ($transaccion=="otro") { 
    $txt = "5,".$_POST["msg"]."\n";
    $actual = file_get_contents("mensajesGPS.txt");
    $result = file_put_contents("mensajesGPS.txt", $actual.$txt);
    fclose("mensajesGPS.txt");
    if($result == FALSE) print json_encode("Error");
    else print json_encode("OK");
  }

  if ($transaccion=="solicitudLlamada") { 
    $txt = "4,\n";
    $actual = file_get_contents("mensajesGPS.txt");
    $result = file_put_contents("mensajesGPS.txt", $actual.$txt);
    fclose("mensajesGPS.txt");
    if($result == FALSE) print json_encode("Error");
    else print json_encode("OK");
  }
  
  if($transaccion=="novedadPasajeros"){
    $txt = "3,\n";
    $actual = file_get_contents("mensajesGPS.txt");
    file_put_contents("mensajesGPS.txt", $actual.$txt);
    fclose("mensajesGPS.txt");
    print json_encode("OK..respondio bien");
  }

  if($transaccion=="accidenteTransito"){
    $txt = "2,\n";
    $actual = file_get_contents("mensajesGPS.txt");
    file_put_contents("mensajesGPS.txt", $actual.$txt);
    fclose("mensajesGPS.txt");
    print json_encode("OK..respondio bien");
  }

  if($transaccion=="fallaMecanica"){
    $txt = "1,\n";
    $actual = file_get_contents("mensajesGPS.txt");
    file_put_contents("mensajesGPS.txt", $actual.$txt);
    fclose("mensajesGPS.txt");
    print json_encode("OK..respondio bien");
  }
  
}
ejecutarTransaccion($transaccion);
?>